package com.yc.ship.module.resource.enums;

import com.yc.ship.framework.common.exception.ErrorCode;

public interface ErrorCodeConstants {
    /**
     * 资源管理
     */
    ErrorCode PORT_NOT_EXISTS = new ErrorCode(1_003_000_001, "口岸不存在");

    ErrorCode DOCK_NOT_EXISTS = new ErrorCode(1_003_000_002, "码头不存在");

    ErrorCode SCENIC_NOT_EXISTS = new ErrorCode(1_003_000_003, "景区不存在");

    ErrorCode ROUTE_NOT_EXISTS = new ErrorCode(1_003_000_004, "航线不存在");

    ErrorCode SHIP_TYPE_NOT_EXISTS = new ErrorCode(1_003_000_005, "游轮类型不存在");

    ErrorCode SHIP_NOT_EXISTS = new ErrorCode(1_003_000_006, "游轮不存在");

    ErrorCode ROOM_MODEL_NOT_EXISTS = new ErrorCode(1_003_000_007, "房型不存在");

    ErrorCode ROOM_NOT_EXISTS = new ErrorCode(1_003_000_008, "房间不存在");

    ErrorCode ROOM_NUMS_EXISTS = new ErrorCode(1_003_000_008, "该房间号已存在");

    ErrorCode CATEGORY_EXTRA_NOT_EXISTS = new ErrorCode(10_211, "小程序产品分类不存在");
    // 其他设置
    ErrorCode CATEGORY_NOT_EXISTS = new ErrorCode(10_201, "资源类型不存在");
    ErrorCode RESOURCE_NOT_EXISTS = new ErrorCode(10_202, "资源不存在");
    ErrorCode SUPPLIER_NOT_EXISTS = new ErrorCode(10_203, "资源供应商不存在");
    ErrorCode SCENIC_SITE_NOT_EXISTS = new ErrorCode(10_204, "站点不存在");
    ErrorCode SCENIC_CHANNEL_NOT_EXISTS = new ErrorCode(10_205, "通道不存在");
    ErrorCode SCENIC_MACHINE_NOT_EXISTS = new ErrorCode(10_206, "设备不存在");
    ErrorCode SUPPLIER_CATEGORY_NOT_EXISTS = new ErrorCode(10_207, "资源供应商与资源类型关联不存在");
    ErrorCode ROUTE_PLAN_NOT_EXISTS = new ErrorCode(10_208, "路线方案不存在");
    ErrorCode ROUTE_PLAN_DETAIL_NOT_EXISTS = new ErrorCode(10_209, "出行方案明细不存在");
    ErrorCode TIME_RANGES_PARAM_ERR = new ErrorCode(10_210, "产品id或方案类型不存在");

    ErrorCode CHECK_CHANNEL_NOT_EXISTS = new ErrorCode(10_006, "产品检票通道不存在");
    ErrorCode MACHINE_MODIFY_EXCEPTION = new ErrorCode(10_505, "{}更新通道信息失败，不能修改，{}");
    ErrorCode ROUTE_REPEAT_EXCEPTION = new ErrorCode(10_009, "线路已存在");
    ErrorCode PROJECT_NOT_EXISTS = new ErrorCode(10_004, "产品项目不存在");

    ErrorCode POINT_REPEAT_EXCEPTION = new ErrorCode(10_010, "点位名称已存在");
    ErrorCode ROUTE_POINT_NOT_EXISTS = new ErrorCode(10_003, "产品路线点位不存在");

    ErrorCode GUIDE_NOT_EXISTS = new ErrorCode(30_005, "导游不存在");

    ErrorCode GUIDE_GROUP_EXITS_CHILDREN = new ErrorCode(30_016, "存在子分组，无法删除");
    ErrorCode GUIDE_GROUP_NOT_EXISTS = new ErrorCode(30_008, "导游分组不存在");

    ErrorCode COMPANY_NOT_EXISTS = new ErrorCode(30_009, "供应商不存在");
    ErrorCode CAR_NOT_EXISTS = new ErrorCode(30_101, "车辆不存在");
    ErrorCode CAR_TYPE_NOT_EXISTS = new ErrorCode(30_107, "车辆类型不存在");
    ErrorCode DRIVER_NOT_EXISTS = new ErrorCode(30_108, "驾驶员不存在");
    ErrorCode DRIVER_CREATE_FAILED = new ErrorCode(30_109, "创建驾驶员失败");



    String SUPPLIER_TYPE = "supplier_type";

    // 基础产品
    ErrorCode BASE_NOT_EXISTS = new ErrorCode(10_001, "基础产品不存在");
    ErrorCode BASE_PRICE_NOT_EXISTS = new ErrorCode(10_002, "基础产品价格不存在");
    ErrorCode GROUP_NOT_EXISTS = new ErrorCode(10_005, "组合产品规格信息不存在");
    ErrorCode PRODUCT_BASE_STOCK_NOT_ENOUGH = new ErrorCode(10_007, "基础产品库存不足");

}
